Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc.util
Class FormatStyle

    java.lang.Object
      org.hibernate.jdbc.util.FormatStyle

    public class FormatStyle

extends Object

Represents the the understood types or styles of formatting.

Author:
  Steve Ebersole

Field Summary
`static FormatStyle` | `BASIC`
`static FormatStyle` | `DDL`
`static FormatStyle` | `NONE`

Method Summary
`boolean` | `equals(Object o)`
`Formatter` | `getFormatter()`
`String` | `getName()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASIC

    public static final FormatStyle BASIC

### DDL

    public static final FormatStyle DDL

### NONE

    public static final FormatStyle NONE

Method Detail

### getName

    public String getName()

### getFormatter

    public Formatter getFormatter()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.